my favorite

2010/04/06

Ubuntu : in `gem_original_require': no such file to load -- readline (LoadError)

When I run ./script/console I always got damn readline error in my ubuntu 8.04..

This time I try to find a solution to solve this bad implementation, just go ahead


1. In Ubuntu 8.04, we still need additional library for readline
sudo aptitude install libncurses5-dev libreadline5-dev

2. Keep your ruby source code or get it from ruby-lang

3.

cd /ext/readline
sudo ruby extconf.rb
make
sudo make install


DONE

No comments:

BIO

Taipei, GuTing, Taiwan

huang47 | personal

huang47 | personal